To upgrade is to replace a piece of hardware or software with a better, and usually newer, version or component.

learn more… | top users | synonyms (1)

0
votes
1answer
5 views

Server Upgrade from CENT OS 4 to 6

I will be updating my server since CENTOS 4.x is not supported long time ago. I really don't have any idea how to proceed and I have been searching how, but I can not understand since It is ...
0
votes
0answers
18 views

cron job quit working after latest apt-get upgrade

I've been running a cron job every 15 minutes for years, with few problems. Sometime in the last week, it quit running, I'm assuming after a apt-get upgrade && apt-get dist-upgrade. I was ...
1
vote
2answers
19 views

To Have Eclipse 4.5 in Path?

I downloaded the precompiled Eclipse Mars 4.5 in the official site here. Pseudocode Extract the tarball eclipse-jee-mars-2-linux-gtk-x86_64.tar.gz Move extracted Eclipse directory to some location ...
1
vote
1answer
144 views

No DNS resolution after upgrade from ubuntu 14.04 to 16.04

I upgraded ubuntu 14.04 to ubuntu 16.04 and I have a problem with the internet connection. Specifically, DNS after update stopped working. For debugging purposes I set the only DNS 8.8.8.8, but name ...
2
votes
2answers
3k views

How to block yum from upgrading obsoleted package?

Is there any way to prevent yum from upgrading a package obsoleted by another? I have created a custom repo containing some packages, among them openh323-devel. In current versions of CentOS, ...
0
votes
1answer
11k views

E: Some index files failed to download. They have been ignored…” when tunning “sudo aptitude update”?

This is what the end of output after I run sudo apt-get update on Ubuntu 12.04: Ign http://apt.typesafe.com unicorn/main Translation-en 35% [Working]W: Failed to fetch ...
1
vote
1answer
16k views

insmod: ERROR: could not insert module 8188eu.ko: Invalid module format

I'm trying to use the TL-WN725N as an USB WiFi-Adapter with Fedora 20. I followed these insructions and the adapter worked fine and even survived two updates during the last few weeks. Then I did a ...
0
votes
2answers
6k views

apt-get update failed to fetch and /sources.list.d/ empty

Running the sudo apt-get update command, I got the following error: Fetched 988 kB in 16s (59,3 kB/s) W: Failed to fetch ...
0
votes
1answer
4k views

Error during apt-get upgrade in wheezy

Today I wanted to upgrade my system from Debian Wheezy to Jessie. As first step I thought it is a good idea to upgrade the current wheezy-packages: sudo apt-get update sudo apt-get upgrade ... ...
1
vote
0answers
1k views

Can't login on Kali Linux after update, only via tt1

While running an update on Kali Linux, my machine crashed and things got bad. The GUI was messed up, so I ran sudo apt-get install gdebi The system was updated successfully, but now I cannot login ...
0
votes
1answer
251 views

Upgrading debian squeeze to sid

Atm I am trying to upgrade my debian squeeze to sid. I followed this tutorial: www(.)digitalocean.com/community/articles/upgrading-debian-to-unstable Everything seems to work well until Step 3. While ...
0
votes
2answers
242 views

System error after upgrade [Kali]

I was doing a distribution upgrade on kali from 1.1.0 to 2.0 using: sudo apt-get dist-upgrade Upgrade was of 2 GB and after 1 GB download, I wanted to download openssh-server, so i did an apt-get ...
0
votes
0answers
16 views

Mint Updater Error: post-installation script returned error exit status 1

When installing updated from the Mint Updater, I get this error: E: Linux-image-extra-4.2.0-18-generic: subprocess installed post- installation script returned error exit status 1 E: ...
0
votes
1answer
23 views

Linux mintupdate constantly failing with error

Every time that I try to install updates in mintupdate, I get the following popup. Does anybody know what could be the cause for this? I noticed that it mentions gzip: stdout: No space left on ...
0
votes
0answers
227 views

mintupdate warning: libglade-WARNING **: unknown attribute `swapped' for <signal>

Whenever I try to update anything in mintupdate, I am prompted to enter my password, but after entering it, nothing happens. The same thing happens when trying to update packages as when trying to ...
0
votes
0answers
46 views

Why does Mintupdate not update anything and give me errors in terminal?

When I run mintupdate from the GUI and try to update anything, nothing happens, including when I attempt to update the kernel. I tried running mintupdate from the terminal and it opened with the ...
0
votes
1answer
23 views

Archlinux laptop overheating

I have a Samsung laptop and installed Archlinux on it. At first everything was fine, I was even surprised at how nice everything was, no driver problems, everything went smooth. I could watch videos ...
0
votes
1answer
971 views

Upgrading Ubuntu 13.09 to 13.10 for LTS?

I am trying to upgrade my ubuntu installation so I can begin working with mod_mono for apache. I tried to the usual upgrade command but I am getting some odd results. Any help would be much ...
1
vote
4answers
61 views

Issue with ssh && apt-get, need advice

I decided to dust off my Beaglebone Black Rev.C and figured before I do much of anything, I should get everything up to date. I created an SD card with the new Debian 8.3 image and installed it. No ...
1
vote
2answers
806 views

Can't change update settings on elementary?

I can't update elementary os, when I try to change the settings 'Install updates from', none of the check boxes will check, it stays like the following image. What should I do?
0
votes
2answers
32 views

Does the size of my Arch always grow when I install updates?

Since Arch Linux is a rolling distributive, each time I update a system by "pacman -Syu" it downloads updates of about 50-100Mb and then it unzips them which make them even bigger. I wonder, does ...
0
votes
3answers
69 views

How long might it take to build NetBSD userland and kernel?

I am interested to use NetBSD as the operating system on my server. I have not used a system where security updates are performed by source, but have read enough in the guide to feel comfortable ...
0
votes
3answers
21 views

Is there a script to update (almost) any Linux distribution? [closed]

I know of apt-get update and yum update, but I'm wondering what others there are to update other Linux OSes. Could all these be combined into a script which could be run on any Linux distro?
0
votes
1answer
16 views

In Arch linux, is there any way to update one particular package?

In Arch linux, is there any way to update one particular package? Without uninstalling it.
3
votes
1answer
2k views

Mint update manager not updating

After running update manager these are the error messages I get... E: Encountered a section with no Package: header E: Problem with MergeList ...
1
vote
1answer
48 views

What would cause my video driver to stop working after every update?

I don't even know what kind of information I should post here to help identify the problem, so I am just going to go for it and hope for a productive outcome…I am not sure if this is a systemd issue ...
3
votes
4answers
54 views

How to upgrade Kali Linux

I've installed Kali Linux (normally I use ArchLinux, but I need Kali for work) and every time I want to upgrade, a few packages can't upgrade and are kept back. To force them to update I have to ...
3
votes
1answer
32 views

Update non active linux installation

We have several linux (Centos) live usb drives and I was wondering whether it was possible to just mount and update them from a linux desktop (running from a HDD) instead of booting and running yum on ...
1
vote
1answer
4k views

Upgrading CentOS 6.7 to CentOS 7 on VMWare 11.0

I tried to upgrade(in-place) CentOS 6.7 to CentOS 7.0 on the various environments. I installed CentOS-6.7-x86_64-bin-DVD1.iso on VWware 11.0. And I followed the ...
1
vote
0answers
79 views

yum update glibc - ERROR with rpm_check_debug vs depsolve:

I want to update my system with yum update but I get only errors starting with these two lines: Running rpm_check_debug ERROR with rpm_check_debug vs depsolve: Then, I tried only to update the ...
0
votes
2answers
463 views

No Menu Bar, Windows not visible (Linux Mint 17.2 Cinnamon)

Yesterday I did apt-get update && apt-get upgrade to make my system up-to-date. It went through without any error. After rebooting my Menu Bar 'disappeared', there's just a dark gray bar ...
1
vote
1answer
22 views

CRON problem - an apt-get dist-upgrade job

This question is related to Debian 8.4. I applied the same updating mechanism to several desktop stations and one unused server. This problem appeared on the server but I suspect it will happen on ...
0
votes
1answer
26 views

How to upgrade from Fedora 21 to higher stable version with the highest convenience and safety?

I am still working on a Fedora 21 Linux. I know Fedora 22, 23 and 24 already are around. However being a newbie in Linux systems and given the fact that my friend helped me to install Fedora 21 back ...
4
votes
2answers
1k views

Machine readable number of updates? Alternative to /usr/lib/update-notifier/apt-check?

/usr/lib/update-notifier/apt-check (from update-notifier-common package) was a fine tool. But it's going to be removed from Debian. /usr/lib/update-notifier/apt-check --human-readable 28 packages can ...
3
votes
0answers
49 views

Configure connection timeout of pacman full system upgrade

Is there a way to set the timeout which pacman uses to establish connections to repository servers? My ISP (university) has blocked several Arch Linux (I use Manjaro) AUR and a few community servers. ...
0
votes
1answer
1k views

How to resolve broken packages when upgrading: from Ubuntu 13.10 to 14.04

I am having an issues upgrading to 14.04 (Trusty Tahr) from 13.10 (Saucy Salamander), where I get a message Could not calculate the upgrade, and I believe it is due to my unofficial software packages. ...
0
votes
1answer
95 views

automatic Mint upgrade from 17.3 to 18?

Will an automatic or semi-automatic upgrade from Linux Mint 17.3 Rosa to 18 Sarah (released in next June) be available?
0
votes
1answer
131 views

{14.04 Elementary OS} sudo apt-get update - Failed to Fetch (Also Software Center doesn't open)

Here is the output of sudo apt-get update in the terminal: Hit http://gr.archive.ubuntu.com trusty-updates InRelease Hit http://repo.steampowered.com precise InRelease ...
1
vote
1answer
2k views

`apt update` failed on Debian Linux

Attempting to upgrade testing/stretch Debian Linux: $ sudo apt update Ign:1 http://dl.google.com/linux/talkplugin/deb stable InRelease Hit:2 http://dl.google.com/linux/talkplugin/deb stable Release ...
1
vote
1answer
86 views

How to upgrade LibreOffice to Ver 5 in Debian Wheezy?

Debian Wheezy came with LibreOffice 3 (now two generations old). I want to upgrade or replace this with LO Ver 5 and manage this through the package manager. Online search for LibreOffice and Debian ...
1
vote
1answer
47 views

linux + yum update - what this command covers?

I verified what are the missing security patches as the following: yum updateinfo list security available Loaded plugins: product-id, rhnplugin, security, subscription-manager This system is ...
0
votes
1answer
87 views

can't update-initramfs generating /boot/initrd.img-3.16.0-4-amd64 error

Hi today I did a upgrade in my debian after of this. have a problem really I look a solution for this problem and I don't find anything. Configurando linux-image-3.16.0-4-amd64 ...
3
votes
2answers
131 views

how do i check if (manually) upgrading software will break existing software?

As an example, let's say I want to upgrade sqlite3. The version I have after (apt-get) updating and upgrading is 3.7.13. The most current version is 3.7.14. If I install the most current version from ...
2
votes
1answer
26 views

What is the name of the autoupdater in Linux Mint

If I have a clean install of latest Linux Mint, but I replaced the window manager/desktop environment with a very small alternative (IceWM). I was able to get most of system tray (or whatever it is ...
-1
votes
1answer
90 views

Bash Code Injection Vulnerability On Linux

Found a bug in Centos Linux, a bash code injection vulnerability. The solution to this is the update the bash package. yum update bash My Question is "do I need to reboot the system"? We ...
-1
votes
1answer
30 views

Upgrade GNU parted 3.1 to 3.2

I'm trying to upgrade GNU parted 3.1 to 3.2 and when I try to verify the key it says : # gpg --verify parted-3.2.tar.xz.sig gpg: Signature made Mon 28 Jul 2014 11:20:50 PM EDT using RSA key ID ...
1
vote
1answer
1k views

apt-get update fails on debian squeeze with “File not found”

I'm trying to update my old server running Debian Squeeze. apt-get update fails. The output is here: Ign file: debs/ Release.gpg Ign file:/root/ debs/ Translation-en ...
-2
votes
1answer
34 views
0
votes
0answers
12 views

can't login after upgrading kali sana

After upgrading Kali Sana. which was not completed and when I tried to login it redirect me to enter username again and again. It means password is correct because when I use different password it ...
0
votes
1answer
94 views

Text as block on Kali Linux Rolling after apt-get upgrade

I just installed Kali Linux Rolling and I run apt-get upgrade. When it finished on the tweak tool on the appearance tab in the cursor option, I get this text "Adwaita [][][][][][][][][]" instant of ...